summaryrefslogtreecommitdiffstats
path: root/configure.ac
diff options
context:
space:
mode:
authorLudovic Courtès <ludo@gnu.org>2019-01-06 21:54:08 +0100
committerLudovic Courtès <ludo@gnu.org>2019-01-09 14:47:53 +0100
commit0991fd53367907908fbd901a9fbe79540e4e4527 (patch)
tree059aa4ed7c61bb868d7d41a22b60cd91dffd2dce /configure.ac
parent6df4d8338d2bf94ab729e3b12e42ace0a06687ae (diff)
downloadguix-0991fd53367907908fbd901a9fbe79540e4e4527.tar.gz
build: Require Guile 2.2.
* configure.ac: Require Guile 2.2. * README: Adjust accordingly. * doc/guix.texi (Requirements): Likewise. * gnu/packages/package-management.scm (guile2.0-guix): Deprecate. (guix-minimal): Inherit from GUIX, not from GUILE2.0-GUIX.
Diffstat (limited to 'configure.ac')
-rw-r--r--configure.ac6
1 files changed, 1 insertions, 5 deletions
diff --git a/configure.ac b/configure.ac
index 2817e6e24d..891fce28ae 100644
--- a/configure.ac
+++ b/configure.ac
@@ -93,16 +93,12 @@ m4_pattern_forbid([^GUIX_])
dnl Search for 'guile' and 'guild'. This macro defines
dnl 'GUILE_EFFECTIVE_VERSION'.
-GUILE_PKG([2.2 2.0])
+GUILE_PKG([2.2])
GUILE_PROGS
if test "x$GUILD" = "x"; then
AC_MSG_ERROR(['guild' binary not found; please check your guile-2.x installation.])
fi
-if test "x$GUILE_EFFECTIVE_VERSION" = "x2.0"; then
- PKG_CHECK_MODULES([GUILE], [guile-2.0 >= 2.0.13])
-fi
-
dnl Installation directories for .scm and .go files.
guilemoduledir="${datarootdir}/guile/site/$GUILE_EFFECTIVE_VERSION"
guileobjectdir="${libdir}/guile/$GUILE_EFFECTIVE_VERSION/site-ccache"